List support departments

Get a list of available support departments to route tickets. This helps ensure tickets reach the correct team for faster resolution. The response includes a `departmentId` needed for POST /api/support/assistant.

Support System Tickets

Context

Used in the dashboard

/support

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.departments array<object> required · Example: [{"id":1,"name":"General - Web hosting","description":"If you need help with your curre...
data.departments[].description string required · Example: If you need help with your current web hosting service, or anything else not listed bel...
data.departments[].email string required · Example: [email protected]
data.departments[].id integer required · Example: 1
data.departments[].name string required · Example: General - Web hosting
data.departments[].visible boolean required · Example: true
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/support/departments
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/support/departments" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "departments": [
      {
        "id": 1,
        "name": "General - Web hosting",
        "description": "If you need help with your current web hosting service, or anything else not listed below, we&#39;re here to help with any issues! <br> Open cases in this department if there is something general you need help with that is not related to invoicing, sales or VPS problems.<br>Available 24/7 on web hosting",
        "email": "[email protected]",
        "visible": true
      },
      {
        "id": 14,
        "name": "Domain names",
        "description": "For everything related to your domain names",
        "email": "[email protected]",
        "visible": true
      },
      {
        "_truncated": "... and 4 more items"
      }
    ]
  }
}